#ifndef COMPRESSORLIST_H
#define COMPRESSORLIST_H

#include "Compress.h"

class CompressorList
{
private:
	static u_int32 count;
	static CompressorList *list;

	Compressor *compressor;
	CompressorList *next;

	CompressorList(void);
	~CompressorList(void);

public:
	static void install(void);
	static void remove(void);

	static void            addCompressor(Compressor *newCompressor);

	static u_int32         getCompressorCount(void);
	static Compressor     *getCompressorByIndex(u_int32 index);
	static Compressor     *getCompressorByType(CompressorTypes id);

	static CompressorTypes getBestCompressor(const CompressorInput &in);
};

#endif
